package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PenerimaanLinenVO extends BaseTransactionVO {

	private static final long serialVersionUID = -6155399912302498957L;

	@ManyToOne
	@JoinColumn(name = "ObjectPetugasFk")
	private LoginUserVO petugas;

	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "penerimaanLinen")
	@Caption(value = "mapPenerimaanLinen")
	private Set<MappingPenerimaanLinenVO> mapPenerimaanLinen = new HashSet<MappingPenerimaanLinenVO>();

	public LoginUserVO getPetugas() {
		return petugas;
	}

	public void setPetugas(LoginUserVO petugas) {
		this.petugas = petugas;
	}

	public Set<MappingPenerimaanLinenVO> getMapPenerimaanLinen() {
		return mapPenerimaanLinen;
	}

	public void setMapPenerimaanLinen(Set<MappingPenerimaanLinenVO> mapPenerimaanLinen) {
		this.mapPenerimaanLinen = mapPenerimaanLinen;
	}

}
